#!/bin/sh

# add bin to path
export PATH=../bin:$PATH

#TARGET=debug
TARGET=release

PROGRAM=../bin/$TARGET/Preprocessor.exe

echo "starting $TARGET mode"

SCENE=vsposp_typical
#SCENE=vsposp_vienna
#SCENE=soda5
#SCENE=cube
#SCENE=atlanta
#SCENE=vienna

LOG_PREFIX=../scripts/tests/i3d/$SCENE

ENVIRONMENT=$SCENE.env


#######################################################


# METHOD=interleaved_full
# echo "$SCENE $METHOD"

# $PROGRAM $ENVIRONMENT \
# -view_cells_evaluation_stats_prefix=$LOG_PREFIX-$METHOD \
# -view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
# -vsp_subdivision_stats=$LOG_PREFIX-$METHOD-vsp-subdivisionStats.log \
# -bvh_subdivision_stats=$LOG_PREFIX-$METHOD-bvh-subdivisionStats.log \
# -hierarchy_subdivision_stats=$LOG_PREFIX-$METHOD-hierarchy-subdivisionStats.log \
# -hierarchy_construction_type=1 \
# -hierarchy_construction_recompute_split_on_repair=true

# mv debug.log $LOG_PREFIX-$METHOD-debug.log
# mv view_cells.wrl $LOG_PREFIX-$METHOD-view_cells.wrl
# mv final_object_partition.wrl $LOG_PREFIX-$METHOD-final_object_partition.wrl
# mv final_view_cells.wrl $LOG_PREFIX-$METHOD-final_view_cells.wrl


# METHOD=interleaved
# echo "$SCENE $METHOD"

# $PROGRAM $ENVIRONMENT \
# -view_cells_evaluation_stats_prefix=$LOG_PREFIX-$METHOD \
# -view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
# -vsp_subdivision_stats=$LOG_PREFIX-$METHOD-vsp-subdivisionStats.log \
# -bvh_subdivision_stats=$LOG_PREFIX-$METHOD-bvh-subdivisionStats.log \
# -hierarchy_subdivision_stats=$LOG_PREFIX-$METHOD-hierarchy-subdivisionStats.log \
# -hierarchy_construction_type=1 \
# -hierarchy_construction_recompute_split_on_repair=false

# mv debug.log $LOG_PREFIX-$METHOD-debug.log
# mv view_cells.wrl $LOG_PREFIX-$METHOD-view_cells.wrl
# mv final_object_partition.wrl $LOG_PREFIX-$METHOD-final_object_partition.wrl
# mv final_view_cells.wrl $LOG_PREFIX-$METHOD-final_view_cells.wrl


# METHOD=gradient
# echo "$SCENE $METHOD"

# $PROGRAM $ENVIRONMENT \
# -view_cells_evaluation_stats_prefix=$LOG_PREFIX-$METHOD \
# -view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
# -vsp_subdivision_stats=$LOG_PREFIX-$METHOD-vsp-subdivisionStats.log \
# -bvh_subdivision_stats=$LOG_PREFIX-$METHOD-bvh-subdivisionStats.log \
# -hierarchy_subdivision_stats=$LOG_PREFIX-$METHOD-hierarchy-subdivisionStats.log \
# -hierarchy_construction_type=2 \
# -hierarchy_construction_recompute_split_on_repair=true

# mv debug.log $LOG_PREFIX-$METHOD-debug.log
# mv view_cells.wrl $LOG_PREFIX-$METHOD-view_cells.wrl
# mv final_object_partition.wrl $LOG_PREFIX-$METHOD-final_object_partition.wrl
# mv final_view_cells.wrl $LOG_PREFIX-$METHOD-final_view_cells.wrl

 METHOD=multilevel
 echo "$SCENE $METHOD"

 $PROGRAM $ENVIRONMENT \
 -view_cells_evaluation_stats_prefix=$LOG_PREFIX-$METHOD \
 -view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
 -vsp_subdivision_stats=$LOG_PREFIX-$METHOD-vsp-subdivisionStats.log \
 -bvh_subdivision_stats=$LOG_PREFIX-$METHOD-bvh-subdivisionStats.log \
 -hierarchy_subdivision_stats=$LOG_PREFIX-$METHOD-hierarchy-subdivisionStats.log \
 -hierarchy_construction_type=2 \
 -hierarchy_construction_multilevel=true \
 -hierarchy_construction_samples=20000 \
 -hierarchy_term_max_leaves=500 \
 -hierarchy_construction_levels=1 \
 -hierarchy_construction_recompute_split_on_repair=true

 mv debug.log $LOG_PREFIX-$METHOD-debug.log
 mv view_cells.wrl $LOG_PREFIX-$METHOD-view_cells.wrl
 mv final_object_partition.wrl $LOG_PREFIX-$METHOD-final_object_partition.wrl
 mv final_view_cells.wrl $LOG_PREFIX-$METHOD-final_view_cells.wrl